com.google.gwt.user.cellview.client

## Class IdentityColumn<T>

- java.lang.Object
- - com.google.gwt.user.cellview.client.Column<T,T>
  - - com.google.gwt.user.cellview.client.IdentityColumn<T>

- Type Parameters:
    `T` - the row type
  All Implemented Interfaces:
    HasCell<T,T>, HasAlignment, HasHorizontalAlignment, HasVerticalAlignment

      public class IdentityColumn<T>
      extends Column<T,T>

  A passthrough column, useful for giving cells access to the entire row object.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment

      `HasVerticalAlignment.VerticalAlignmentConstant`

  - ### Field Summary

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment

      `ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityColumn(Cell<T> cell)` Construct a new IdentityColumn with a given `Cell`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue(T object)` Return the passed-in object.

    - ### Methods inherited from class com.google.gwt.user.cellview.client.Column

      `getCell, getCellStyleNames, getDataStoreName, getFieldUpdater, getHorizontalAlignment, getVerticalAlignment, isDefaultSortAscending, isSortable, onBrowserEvent, render, setCellStyleNames, setDataStoreName, setDefaultSortAscending, setFieldUpdater, setHorizontalAlignment, setSortable, setVerticalAlignment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityColumn

          public IdentityColumn(Cell<T> cell)

      Construct a new IdentityColumn with a given `Cell`.
      Parameters:
        `cell` - the `Cell` responsible for rendering items in the column

  - ### Method Detail

    - #### getValue

          public T getValue(T object)

      Return the passed-in object.
      Specified by:
        `getValue` in interface `HasCell<T,T>`
      Specified by:
        `getValue` in class `Column<T,T>`
      Parameters:
        `object` - the object to return
      Returns:
        a value of type C suitable for passing to the cell